## tipp10 2.1.0

=== Makefile ===
#############################################################################
# Makefile for building: tipp10
# Generated by qmake (2.01a) (Qt 4.3.3) on: Sa 12. Mrz 20:35:18 2011
# Project:  tipp10.pro
# Template: app
# Command: c:\qt-4-3-3\bin\qmake.exe -spec c:\qt-4-3-3\mkspecs\win32-g++ -win32 CONFIG+=debug -o Makefile tipp10.pro
#############################################################################

first: debug
install: debug-install
uninstall: debug-uninstall
MAKEFILE      = Makefile
QMAKE         = c:\qt-4-3-3\bin\qmake.exe
DEL_FILE      = del
CHK_DIR_EXISTS= if not exist
MKDIR         = mkdir
COPY          = copy /y
COPY_FILE     = $(COPY)
COPY_DIR      = xcopy /s /q /y /i
INSTALL_FILE  = $(COPY_FILE)
INSTALL_PROGRAM = $(COPY_FILE)
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = del
SYMLINK       = 
DEL_DIR       = rmdir
MOVE          = move
CHK_DIR_EXISTS= if not exist
MKDIR         = mkdir
SUBTARGETS    =  \
		debug \
		release

debug: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug
debug-make_default: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug 
debug-make_first: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug first
debug-all: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug all
debug-clean: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug clean
debug-distclean: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug distclean
debug-install: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug install
debug-uninstall: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug uninstall
release: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release
release-make_default: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release 
release-make_first: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release first
release-all: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release all
release-clean: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release clean
release-distclean: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release distclean
release-install: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release install
release-uninstall: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release uninstall

Makefile: tipp10.pro  c:/qt-4-3-3/mkspecs/win32-g++/qmake.conf c:/qt-4-3-3/mkspecs/qconfig.pri \
		c:/qt-4-3-3/mkspecs/features/qt_functions.prf \
		c:/qt-4-3-3/mkspecs/features/qt_config.prf \
		c:/qt-4-3-3/mkspecs/features/exclusive_builds.prf \
		c:/qt-4-3-3/mkspecs/features/default_pre.prf \
		c:/qt-4-3-3/mkspecs/features/win32/default_pre.prf \
		c:/qt-4-3-3/mkspecs/features/debug.prf \
		c:/qt-4-3-3/mkspecs/features/debug_and_release.prf \
		c:/qt-4-3-3/mkspecs/features/default_post.prf \
		c:/qt-4-3-3/mkspecs/features/qt.prf \
		c:/qt-4-3-3/mkspecs/features/win32/thread.prf \
		c:/qt-4-3-3/mkspecs/features/moc.prf \
		c:/qt-4-3-3/mkspecs/features/win32/rtti.prf \
		c:/qt-4-3-3/mkspecs/features/win32/stl.prf \
		c:/qt-4-3-3/mkspecs/features/static.prf \
		c:/qt-4-3-3/mkspecs/features/warn_on.prf \
		c:/qt-4-3-3/mkspecs/features/win32/windows.prf \
		c:/qt-4-3-3/mkspecs/features/win32/exceptions_off.prf \
		c:/qt-4-3-3/mkspecs/features/resources.prf \
		c:/qt-4-3-3/mkspecs/features/uic.prf \
		c:/qt-4-3-3/mkspecs/features/yacc.prf \
		c:/qt-4-3-3/mkspecs/features/lex.prf \
		c:/qt-4-3-3/lib/qtmaind.prl \
		c:/qt-4-3-3/lib/QtSqld.prl \
		c:/qt-4-3-3/lib/QtGuid.prl \
		c:/qt-4-3-3/lib/QtNetworkd.prl \
		c:/qt-4-3-3/lib/QtCored.prl
	$(QMAKE) -spec c:\qt-4-3-3\mkspecs\win32-g++ -win32 CONFIG+=debug -o Makefile tipp10.pro
c:\qt-4-3-3\mkspecs\qconfig.pri:
c:\qt-4-3-3\mkspecs\features\qt_functions.prf:
c:\qt-4-3-3\mkspecs\features\qt_config.prf:
c:\qt-4-3-3\mkspecs\features\exclusive_builds.prf:
c:\qt-4-3-3\mkspecs\features\default_pre.prf:
c:\qt-4-3-3\mkspecs\features\win32\default_pre.prf:
c:\qt-4-3-3\mkspecs\features\debug.prf:
c:\qt-4-3-3\mkspecs\features\debug_and_release.prf:
c:\qt-4-3-3\mkspecs\features\default_post.prf:
c:\qt-4-3-3\mkspecs\features\qt.prf:
c:\qt-4-3-3\mkspecs\features\win32\thread.prf:
c:\qt-4-3-3\mkspecs\features\moc.prf:
c:\qt-4-3-3\mkspecs\features\win32\rtti.prf:
c:\qt-4-3-3\mkspecs\features\win32\stl.prf:
c:\qt-4-3-3\mkspecs\features\static.prf:
c:\qt-4-3-3\mkspecs\features\warn_on.prf:
c:\qt-4-3-3\mkspecs\features\win32\windows.prf:
c:\qt-4-3-3\mkspecs\features\win32\exceptions_off.prf:
c:\qt-4-3-3\mkspecs\features\resources.prf:
c:\qt-4-3-3\mkspecs\features\uic.prf:
c:\qt-4-3-3\mkspecs\features\yacc.prf:
c:\qt-4-3-3\mkspecs\features\lex.prf:
c:\qt-4-3-3\lib\qtmaind.prl:
c:\qt-4-3-3\lib\QtSqld.prl:
c:\qt-4-3-3\lib\QtGuid.prl:
c:\qt-4-3-3\lib\QtNetworkd.prl:
c:\qt-4-3-3\lib\QtCored.prl:
qmake: qmake_all FORCE
	@$(QMAKE) -spec c:\qt-4-3-3\mkspecs\win32-g++ -win32 CONFIG+=debug -o Makefile tipp10.pro

qmake_all: FORCE

make_default: debug-make_default release-make_default FORCE
make_first: debug-make_first release-make_first FORCE
all: debug-all release-all FORCE
clean: debug-clean release-clean FORCE
distclean: debug-distclean release-distclean FORCE
	-$(DEL_FILE) Makefile

debug-mocclean: $(MAKEFILE).Debug
	$(MAKE) -f $(MAKEFILE).Debug mocclean
release-mocclean: $(MAKEFILE).Release
	$(MAKE) -f $(MAKEFILE).Release mocclean
mocclean: debug-mocclean release-mocclean

debug-mocables: $(MAKEFILE).Debug
	$(MAKE) -f $(MAKEFILE).Debug mocables
release-mocables: $(MAKEFILE).Release
	$(MAKE) -f $(MAKEFILE).Release mocables
mocables: debug-mocables release-mocables
FORCE:

$(MAKEFILE).Debug: Makefile
$(MAKEFILE).Release: Makefile

=== debian/changelog ===
tipp10 (2.1.0-3build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:59:50 +0100

tipp10 (2.1.0-3) unstable; urgency=medium

  * port tipp10 from qt4 to qt5. Thanks to Reiner Herrmann
    <reiner@reiner-h.de> (Closes: #875207)

 -- Christoph Martin <martin@uni-mainz.de>  Mon, 23 Sep 2019 11:09:23 +0200

tipp10 (2.1.0-2) unstable; urgency=medium

  * remove obsolete disabled license code

 -- Christoph Martin <martin@uni-mainz.de>  Sat, 08 Oct 2016 10:14:59 +0200

tipp10 (2.1.0-1) unstable; urgency=low

  * Initial release (Closes: #625615)

 -- Christoph Martin <martin@uni-mainz.de>  Tue, 26 Jul 2016 18:50:20 +0200

=== debian/control ===
Source: tipp10
Section: education
Priority: optional
Maintainer: Christoph Martin <christoph.martin@uni-mainz.de>
Build-Depends: debhelper (>= 9), qt5-qmake, qtbase5-dev, qtmultimedia5-dev
Standards-Version: 3.9.5
Homepage: https://www.tipp10.com/
Vcs-Git: https://salsa.debian.org/debian/tipp10.git
Vcs-Browser: https://salsa.debian.org/debian/tipp10

Package: tipp10
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5sql5-sqlite
Description: free open source touch typing software
 TIPP10 is a free touch typing tutor for Windows, Mac OS and Linux. The
 ingenious thing about the software is its intelligence feature.
 Characters that are mistyped are repeated more frequently. Beginners
 will find their way around right away so they can start practicing
 without a hitch.
 .
 Useful support functions and an extensive progress tracker, topical
 lessons and the ability to create your own practice lessons make
 learning to type easy.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export QT_SELECT := qt5

# main packaging script based on dh7 syntax
%:
	dh $@ 

# debmake generated override targets
# This is example for Cmake (See http://bugs.debian.org/641051 )
#override_dh_auto_configure:
#	dh_auto_configure -- \
#	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)

override_dh_auto_clean:
#	qmake
#	dh_auto_clean

override_dh_auto_install:
#	cat Makefile
	dh_auto_install -v
	rm debian/tipp10/usr/share/tipp10/help/de/img/Thumbs.db

## tipp10 3.3.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

project(tipp10)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

if(WIN32)
    # add application icon
    set(WIN_RC_FILE tipp10.rc)
endif()

find_package(Qt6 6.2 COMPONENTS Core Multimedia PrintSupport Sql Widgets REQUIRED)

set(HDRS
    def/defines.h
    def/errordefines.h
    games/abcrainwidget.h
    games/charball.h
    sql/chartablesql.h
    sql/connection.h
    sql/keyboardsql.h
    sql/lessontablesql.h
    sql/startsql.h
    sql/trainingsql.h
    widget/companylogo.h
    widget/errormessage.h
    widget/evaluationwidget.h
    widget/fingerwidget.h
    widget/helpbrowser.h
    widget/illustrationdialog.h
    widget/keyboard.h
    widget/lessondialog.h
    widget/lessonprintdialog.h
    widget/lessonresult.h
    widget/mainwindow.h
    widget/numpad.h
    widget/progressionwidget.h
    widget/regexpdialog.h
    widget/settings.h
    widget/startwidget.h
    widget/statusbar.h
    widget/tickerboard.h
    widget/trainingwidget.h
)

set(SRCS
    main.cpp
    games/abcrainwidget.cpp
    games/charball.cpp
    sql/chartablesql.cpp
    sql/keyboardsql.cpp
    sql/lessontablesql.cpp
    sql/startsql.cpp
    sql/trainingsql.cpp
    widget/companylogo.cpp
    widget/errormessage.cpp
    widget/evaluationwidget.cpp
    widget/fingerwidget.cpp
    widget/helpbrowser.cpp
    widget/illustrationdialog.cpp
    widget/keyboard.cpp
    widget/lessondialog.cpp
    widget/lessonprintdialog.cpp
    widget/lessonresult.cpp
    widget/mainwindow.cpp
    widget/numpad.cpp
    widget/progressionwidget.cpp
    widget/regexpdialog.cpp
    widget/settings.cpp
    widget/startwidget.cpp
    widget/statusbar.cpp
    widget/tickerboard.cpp
    widget/trainingwidget.cpp
)

set(UI_FILES
    widget/regexpdialog.ui
    widget/settings.ui
)

set(QRC_FILES
    tipp10.qrc
)

set(TS_FILES
    ${CMAKE_CURRENT_SOURCE_DIR}/translations/tipp10_de.ts
    ${CMAKE_CURRENT_SOURCE_DIR}/translations/tipp10_en.ts
    ${CMAKE_CURRENT_SOURCE_DIR}/translations/tipp10_fr.ts
)

add_executable(tipp10 ${SRCS} ${HDRS} ${QRC_FILES} ${UI_FILES} ${WIN_RC_FILE})
target_include_directories(tipp10 PRIVATE ${CMAKE_CURRENT_LIST_DIR})
target_link_libraries(tipp10 Qt6::Core Qt6::Multimedia Qt6::PrintSupport
    Qt6::Sql Qt6::Widgets
)
find_package(Qt6LinguistTools)
if(Qt6LinguistTools_FOUND)
    qt6_add_translations(tipp10 TS_FILES ${TS_FILES} QM_FILES_OUTPUT_VARIABLE QM_FILES)
endif()

target_compile_definitions(tipp10 PRIVATE INSTALLPREFIX="${CMAKE_INSTALL_PREFIX}")
target_compile_options(tipp10 PRIVATE
     $<$<OR:$<CXX_COMPILER_ID:Clang>,$<CXX_COMPILER_ID:GNU>>:
          -Wall -Wextra -Wpedantic>
     $<$<CXX_COMPILER_ID:MSVC>:
          /W4>)

set(SOUND_FILES
    error.wav
    metronome.wav
)

option(PORTABLE "Build portable version" OFF)
target_compile_definitions(tipp10 PRIVATE APP_PORTABLE=$<BOOL:${PORTABLE}>)

if(WIN32)
    target_compile_definitions(tipp10 PRIVATE APP_WIN)
elseif(UNIX)
    if(${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
        target_compile_definitions(tipp10 PRIVATE APP_MAC)
    else()
        target_compile_definitions(tipp10 PRIVATE APP_X11)
    endif()
endif()

install(TARGETS tipp10
    RUNTIME DESTINATION bin
)

install(FILES release/tipp10v2.template ${SOUND_FILES}
    DESTINATION share/tipp10)

install(FILES ${QM_FILES}
    DESTINATION share/tipp10/translations)

install(DIRECTORY release/help
    DESTINATION share/tipp10)


if(UNIX AND NOT APPLE)
    install(FILES com.gitlab.tipp10.tipp10.appdata.xml
        DESTINATION share/metainfo)

    install(FILES com.gitlab.tipp10.tipp10.desktop
        DESTINATION share/applications)

    install(FILES com.gitlab.tipp10.tipp10.svg
        DESTINATION share/icons/hicolor/scalable/apps)
endif()

=== debian/changelog ===
tipp10 (3.3.0-1) unstable; urgency=medium

  * add watch file to qt6 fork
  * Switch to qt6 fork version 3.3.0

 -- Christoph Martin <martin@uni-mainz.de>  Fri, 24 Feb 2023 17:17:08 +0100

tipp10 (2.1.0-5) unstable; urgency=low

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.

 -- Christoph Martin <martin@uni-mainz.de>  Tue, 15 Sep 2020 10:13:21 +0200

tipp10 (2.1.0-4) unstable; urgency=medium

  * change my maintainer email

 -- Christoph Martin <martin@uni-mainz.de>  Mon, 09 Mar 2020 12:21:29 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: tipp10
 Section: education
 Priority: optional
-Maintainer: Christoph Martin <christoph.martin@uni-mainz.de>
-Build-Depends: debhelper (>= 9), qt5-qmake, qtbase5-dev, qtmultimedia5-dev
+Maintainer: Christoph Martin <martin@uni-mainz.de>
+Build-Depends: debhelper-compat (= 12), cmake, qt6-base-dev, qt6-multimedia-dev
 Standards-Version: 3.9.5
 Homepage: https://www.tipp10.com/
 Vcs-Git: https://salsa.debian.org/debian/tipp10.git
@@ -10,7 +10,7 @@
 
 Package: tipp10
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5sql5-sqlite
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: free open source touch typing software
  TIPP10 is a free touch typing tutor for Windows, Mac OS and Linux. The
  ingenious thing about the software is its intelligence feature.

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 # main packaging script based on dh7 syntax
 %:
-	dh $@ 
+	dh $@
 
 # debmake generated override targets
 # This is example for Cmake (See http://bugs.debian.org/641051 )

=== debian/watch ===
version=4
https://gitlab.com/tipp10/tipp10/tags?sort=updated_desc archive/v?\d[\d.]+/tipp10-v?([\d.]+)@ARCHIVE_EXT@

## tipp10 3.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,11 +11,10 @@
     set(WIN_RC_FILE tipp10.rc)
 endif()
 
-find_package(Qt6 6.2 COMPONENTS Core Multimedia PrintSupport Sql Widgets REQUIRED)
+find_package(Qt6 6.4 COMPONENTS Core Multimedia PrintSupport Sql Widgets REQUIRED)
 
 set(HDRS
     def/defines.h
-    def/errordefines.h
     games/abcrainwidget.h
     games/charball.h
     sql/chartablesql.h
@@ -88,6 +87,7 @@
     ${CMAKE_CURRENT_SOURCE_DIR}/translations/tipp10_de.ts
     ${CMAKE_CURRENT_SOURCE_DIR}/translations/tipp10_en.ts
     ${CMAKE_CURRENT_SOURCE_DIR}/translations/tipp10_fr.ts
+    ${CMAKE_CURRENT_SOURCE_DIR}/translations/tipp10_nl.ts
 )
 
 add_executable(tipp10 ${SRCS} ${HDRS} ${QRC_FILES} ${UI_FILES} ${WIN_RC_FILE})
@@ -97,6 +97,9 @@
 )
 find_package(Qt6LinguistTools)
 if(Qt6LinguistTools_FOUND)
+    set_source_files_properties(${TS_FILES}
+        PROPERTIES OUTPUT_LOCATION "${CMAKE_BINARY_DIR}/share/tipp10/translations"
+    )
     qt6_add_translations(tipp10 TS_FILES ${TS_FILES} QM_FILES_OUTPUT_VARIABLE QM_FILES)
 endif()
 
@@ -125,6 +128,18 @@
     endif()
 endif()
 
+if(WIN32)
+    set_target_properties(tipp10 PROPERTIES WIN32_EXECUTABLE TRUE)
+endif()
+
+set_target_properties(tipp10 PROPERTIES
+    RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/$<CONFIG>/
+)
+
+file(COPY release/tipp10v2.template ${SOUND_FILES}
+    DESTINATION ${CMAKE_BINARY_DIR}/share/tipp10/
+)
+
 install(TARGETS tipp10
     RUNTIME DESTINATION bin
 )

=== debian/changelog ===
tipp10 (3.3.1-1build1) oracular; urgency=medium

  * Rebuild against new no t64 renamed libqt6 libraries.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 01 Jun 2024 09:39:42 +0200

tipp10 (3.3.1-1) unstable; urgency=medium

  * add salca-ci.yml
  * New upstream version 3.3.1

 -- Christoph Martin <martin@uni-mainz.de>  Wed, 13 Mar 2024 10:44:31 +0100

tipp10 (3.3.0-2) unstable; urgency=medium

  * fix clean target (closes: Bug#1046749)
  * wrap-and-sort debian/* files

 -- Christoph Martin <martin@uni-mainz.de>  Mon, 04 Sep 2023 14:44:13 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,11 @@
 Section: education
 Priority: optional
 Maintainer: Christoph Martin <martin@uni-mainz.de>
-Build-Depends: debhelper-compat (= 12), cmake, qt6-base-dev, qt6-multimedia-dev
+Build-Depends:
+ cmake,
+ debhelper-compat (= 12),
+ qt6-base-dev,
+ qt6-multimedia-dev,
 Standards-Version: 3.9.5
 Homepage: https://www.tipp10.com/
 Vcs-Git: https://salsa.debian.org/debian/tipp10.git
@@ -10,7 +14,9 @@
 
 Package: tipp10
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: free open source touch typing software
  TIPP10 is a free touch typing tutor for Windows, Mac OS and Linux. The
  ingenious thing about the software is its intelligence feature.

## tipp10 3.3.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -155,7 +155,7 @@
 
 
 if(UNIX AND NOT APPLE)
-    install(FILES com.gitlab.tipp10.tipp10.appdata.xml
+    install(FILES com.gitlab.tipp10.tipp10.metainfo.xml
         DESTINATION share/metainfo)
 
     install(FILES com.gitlab.tipp10.tipp10.desktop

=== debian/changelog ===
tipp10 (3.3.2-1) unstable; urgency=medium

  * update watch for gitlab.com changes
  * New upstream version 3.3.2
  * Bump standars version to 4.7.0
  * enable hardening options
  * add depends on libqt6sql6-sqlite (closes: #1056999)

 -- Christoph Martin <martin@uni-mainz.de>  Fri, 06 Sep 2024 17:06:49 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  debhelper-compat (= 12),
  qt6-base-dev,
  qt6-multimedia-dev,
-Standards-Version: 3.9.5
+Standards-Version: 4.7.0
 Homepage: https://www.tipp10.com/
 Vcs-Git: https://salsa.debian.org/debian/tipp10.git
 Vcs-Browser: https://salsa.debian.org/debian/tipp10
@@ -15,6 +15,7 @@
 Package: tipp10
 Architecture: any
 Depends:
+ libqt6sql6-sqlite,
  ${misc:Depends},
  ${shlibs:Depends},
 Description: free open source touch typing software

## tipp10 3.3.3

=== debian/changelog ===
tipp10 (3.3.3-1) unstable; urgency=medium

  * New upstream version 3.3.3
  * change my email address

 -- Christoph Martin <chrism@debian.org>  Sun, 13 Apr 2025 17:58:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: tipp10
 Section: education
 Priority: optional
-Maintainer: Christoph Martin <martin@uni-mainz.de>
+Maintainer: Christoph Martin <chrism@debian.org>
 Build-Depends:
  cmake,
  debhelper-compat (= 12),

## tipp10 3.3.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -23,7 +23,6 @@
     sql/lessontablesql.h
     sql/startsql.h
     sql/trainingsql.h
-    widget/companylogo.h
     widget/errormessage.h
     widget/evaluationwidget.h
     widget/fingerwidget.h
@@ -53,7 +52,6 @@
     sql/lessontablesql.cpp
     sql/startsql.cpp
     sql/trainingsql.cpp
-    widget/companylogo.cpp
     widget/errormessage.cpp
     widget/evaluationwidget.cpp
     widget/fingerwidget.cpp
@@ -87,7 +85,11 @@
     ${CMAKE_CURRENT_SOURCE_DIR}/translations/tipp10_de.ts
     ${CMAKE_CURRENT_SOURCE_DIR}/translations/tipp10_en.ts
     ${CMAKE_CURRENT_SOURCE_DIR}/translations/tipp10_fr.ts
+    ${CMAKE_CURRENT_SOURCE_DIR}/translations/tipp10_nb_NO.ts
     ${CMAKE_CURRENT_SOURCE_DIR}/translations/tipp10_nl.ts
+    ${CMAKE_CURRENT_SOURCE_DIR}/translations/tipp10_pl.ts
+    ${CMAKE_CURRENT_SOURCE_DIR}/translations/tipp10_ta.ts
+    ${CMAKE_CURRENT_SOURCE_DIR}/translations/tipp10_uk.ts
 )
 
 add_executable(tipp10 ${SRCS} ${HDRS} ${QRC_FILES} ${UI_FILES} ${WIN_RC_FILE})

=== debian/changelog ===
tipp10 (3.3.4-1) unstable; urgency=medium

  * New upstream version 3.3.4

 -- Christoph Martin <chrism@debian.org>  Thu, 30 Oct 2025 20:38:38 +0100

=== debian/rules ===
--- 
+++ 
@@ -4,11 +4,11 @@
 #DH_VERBOSE = 1
 
 # see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
+# see FEATURE AREAS in dpkg-buildflags(1)
+
+include /usr/share/dpkg/default.mk
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/default.mk
-
-# see FEATURE AREAS in dpkg-buildflags(1)
-#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 # see ENVIRONMENT in dpkg-buildflags(1)
 # package maintainers to append CFLAGS
@@ -20,7 +20,7 @@
 
 # main packaging script based on dh7 syntax
 %:
-	dh $@
+	dh $@ --buildsystem=cmake
 
 # debmake generated override targets
 # This is example for Cmake (See http://bugs.debian.org/641051 )
@@ -30,7 +30,7 @@
 
 override_dh_auto_clean:
 #	qmake
-#	dh_auto_clean
+	dh_auto_clean
 
 override_dh_auto_install:
 #	cat Makefile

=== debian/watch ===
version=4
opts="searchmode=plain" \
 https://gitlab.com/tipp10/@PACKAGE@/tags?sort=updated_desc -/archive/v?\d[\d.]+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
